% !TeX spellcheck = en_US
% !TeX encoding = UTF-8
% !TeX root = ../report.tex
\chapter{Discussion}
\label{chp:Discussion}
%linchpin = steht und fällt
An accurate model is the linchpin of our approach of the Guardian Angel. As visible in \Cref{fig:ModelValidation} the model lacks accuracy, especially in the beginning of the corner at higher velocities. Using the parameters from \cite{SPChristoph} we expect some increase in performance. This model additionally contains a more accurate model of the steering column dynamics which will yield a better simulation of the transition to the selected steering wheel position.

Since the Guardian Angel in its current setup does not cover the set of all possible inputs and only some well-selected ones, it will rarely intervene even though there exists a safe escape trajectory. Thus, moving towards a more general approach finding a terminal set of allowed states using a combination of the approaches of \cite{Liniger} and \cite{tearle2021predictive} is the next logical step if one wants to improve the Guardian Angel. However, the balance between a computationally lightweight and the best possible approach must be kept in mind.

Another interesting aspect would be to use different scenarios depending on the current state of the gokart, e.g., if and only if the gokart is drifting, apply some scenarios which further accelerate the wheels in the rear before braking to combat oversteering.

Instead of using a straightforward occupancy grid, one could create an occupancy grid consisting of several layers denoting different categories, distinguishing between static obstacles and dynamic obstacles, e.g., humans on the track. This would enable us to improve the cost function and increase the cost of running into a dynamic obstacle with respect to colliding with the track barrier.

In its current setup, once the Guardian Angel intervenes, it blocks all controller inputs. However, should the controller send again "{}reasonable"{} inputs, this blocking could be disabled, and the controller could take over again, e.g., once the obstacle is safely passed.